Skip to main content
POST
Create Customer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

The organization's id (UUID) or slug — either form is accepted.

projectId
string
required

The project's id (UUID) or slug — either form is accepted.

Query Parameters

environment
string

Environment slug. Defaults to "production"; unknown environment slugs return 404.

Pattern: ^[a-z][a-z0-9-]{0,38}$

Body

application/json
email
string<email>
required
Maximum string length: 320
name
string
Maximum string length: 120
externalId
string
Maximum string length: 255
metadata
object

At most 20 application-defined string entries.

Response

Created customer.

id
string<uuid>
required
email
string<email>
required
name
string | null
required
externalId
string | null
required
metadata
object
required

At most 20 application-defined string entries.

createdAt
string<date-time>
required